<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Addenda GNP :: By Daniel Herrera T. :: Version 1.0 ::    -->
<!-- Ultima modificacion DHT :: 23/07/2013 :: Para solventar la falta de espacio en el campo donde se captura el texto de una parcialidad se puso una condicion para sustituir el capturado por el texto requerido -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns="http://www.gnp.com.mx/xsd/addenda/amis">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<xsl:element name="ECFDType">
			<xsl:attribute name="version">1.0</xsl:attribute>
			<xsl:element name="Documento">
				<xsl:variable name="tipdoc" select="Datos/Documento/@TipoDocumento"/>
				<xsl:attribute name="ID">
					<xsl:choose>
						<xsl:when test="$tipdoc = 1">
							<xsl:value-of select="concat('T33',Datos/CFD/@Serie,Datos/CFD/@Folio)"/>
						</xsl:when>
						<xsl:when test="$tipdoc = 2">
							<xsl:value-of select="concat('T61',Datos/CFD/@Serie,Datos/CFD/@Folio)"/>
						</xsl:when>
						<xsl:when test="$tipdoc = 3">
							<xsl:value-of select="concat('T56',Datos/CFD/@Serie,Datos/CFD/@Folio)"/>
						</xsl:when>
						<xsl:when test="$tipdoc = 4">
							<xsl:value-of select="concat('T71',Datos/CFD/@Serie,Datos/CFD/@Folio)"/>
						</xsl:when>
					</xsl:choose>
				</xsl:attribute>
				<xsl:element name="Encabezado">
					<xsl:element name="IdDoc">
						<xsl:element name="NroAprob">
							<xsl:value-of select="Datos/CFD/@noAprobacion"/>
						</xsl:element>
						<xsl:element name="AnoAprob">
							<xsl:value-of select="Datos/CFD/@AnioAprobacion"/>
						</xsl:element>
						<xsl:element name="Tipo">
							<xsl:choose>
								<xsl:when test="$tipdoc = 1">
									<xsl:text>33</xsl:text>
								</xsl:when>
								<xsl:when test="$tipdoc = 2">
									<xsl:text>61</xsl:text>
								</xsl:when>
								<xsl:when test="$tipdoc = 3">
									<xsl:text>56</xsl:text>
								</xsl:when>
								<xsl:when test="$tipdoc = 4">
									<xsl:text>71</xsl:text>
								</xsl:when>
							</xsl:choose>
						</xsl:element>
						<xsl:element name="Serie">
							<xsl:value-of select="Datos/CFD/@Serie"/>
						</xsl:element>
						<xsl:element name="Folio">
							<xsl:value-of select="Datos/CFD/@Folio"/>
						</xsl:element>
						<xsl:element name="Estado">
							<xsl:text>ORIGINAL</xsl:text>
						</xsl:element>
						<xsl:element name="FechaEmis">
							<xsl:value-of select="Datos/CFD/@Fecha"/>
						</xsl:element>
						<xsl:element name="TipoServicio">
							<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/Generales/@FrecuenciaServicio"/>
						</xsl:element>
						<xsl:element name="FormaPago">
							<xsl:variable name="formPag" select="substring(Datos/Documento/@FormaPago,1,11)"/>
							<xsl:choose>
								<xsl:when test="$formPag ='PARCIALIDAD'">
									<xsl:value-of select="concat('PAGO EN PARCIALIDADES',substring(Datos/Documento/@FormaPago,12,30))"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>PAGO EN UNA SOLA EXHIBICION</xsl:text>
									<!--xsl:value-of select="Datos/Documento/@FormaPago"/-->
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
						<xsl:element name="MedioPago">
							<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/Generales/@MedioPago"/>
						</xsl:element>
						<xsl:element name="CondPago">
							<xsl:value-of select="Datos/Documento/@CondicionesPago"/>
						</xsl:element>
						<xsl:element name="PeriodoDesde">
							<xsl:value-of select="concat(substring(Datos/Documento/XMLAddenda/Documento/Generales/@PeriodoDesde,7,4),'-',substring(Datos/Documento/XMLAddenda/Documento/Generales/@PeriodoDesde,4,2),'-',substring(Datos/Documento/XMLAddenda/Documento/Generales/@PeriodoDesde,1,2))"/>
						</xsl:element>
						<xsl:element name="PeriodoHasta">
							<xsl:value-of select="concat(substring(Datos/Documento/XMLAddenda/Documento/Generales/@PeriodoHasta,7,4),'-',substring(Datos/Documento/XMLAddenda/Documento/Generales/@PeriodoHasta,4,2),'-',substring(Datos/Documento/XMLAddenda/Documento/Generales/@PeriodoHasta,1,2))"/>
						</xsl:element>
						<xsl:element name="Area">
							<xsl:element name="IdArea">
								<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/Area/@IdArea"/>
							</xsl:element>
							<xsl:element name="IdRevision">
								<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/Area/@IdRevision"/>
							</xsl:element>
							<!--xsl:text disable-output-escaping="yes"><![CDATA[</Area>]]></xsl:text-->
						</xsl:element>
					</xsl:element>
					<xsl:element name="ExEmisor">
						<xsl:element name="RFCEmisor">
							<xsl:value-of select="Datos/Emisor/@RFC"/>
						</xsl:element>
						<xsl:element name="NmbEmisor">
							<xsl:value-of select="Datos/Emisor/@Nombre"/>
						</xsl:element>
						<xsl:if test="Datos/Emisor/Domicilio/@noLclGlobal !=''">
							<xsl:element name="CdgGLNEmisor">
								<xsl:value-of select="Datos/Emisor/Domicilio/@noLclGlobal"/>
							</xsl:element>
						</xsl:if>
						<xsl:element name="CodigoExEmisor">
							<xsl:element name="TpoCdgIntEmisor">
								<xsl:text>EXT</xsl:text>
							</xsl:element>
							<xsl:element name="CdgIntEmisor">
								<xsl:value-of select="Datos/Emisor/@noProveedor"/>
							</xsl:element>
						</xsl:element>
						<xsl:element name="DomFiscal">
							<xsl:if test="Datos/Emisor/Domicilio/@Calle != ''">
								<xsl:element name="Calle">
									<xsl:value-of select="Datos/Emisor/Domicilio/@Calle"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="Datos/Emisor/Domicilio/@noExterior != ''">
								<xsl:element name="NroExterior">
									<xsl:value-of select="Datos/Emisor/Domicilio/@noExterior"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="Datos/Emisor/Domicilio/@noInterior != ''">
								<xsl:element name="NroInterior">
									<xsl:value-of select="Datos/Emisor/Domicilio/@noInterior"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="Datos/Emisor/Domicilio/@Colonia != ''">
								<xsl:element name="Colonia">
									<xsl:value-of select="Datos/Emisor/Domicilio/@Colonia"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="Datos/Emisor/Domicilio/@Ciudad != ''">
								<xsl:element name="Localidad">
									<xsl:value-of select="Datos/Emisor/Domicilio/@Ciudad"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="Datos/Emisor/Domicilio/@Referencia != ''">
								<xsl:element name="Referencia">
									<xsl:value-of select="Datos/Emisor/Domicilio/@Referencia"/>
								</xsl:element>
							</xsl:if>
							<xsl:element name="Municipio">
								<xsl:value-of select="substring(Datos/Emisor/Domicilio/@Municipio,1,25)"/>
							</xsl:element>
							<xsl:element name="Estado">
								<xsl:value-of select="substring(Datos/Emisor/Domicilio/@Estado,1,25)"/>
							</xsl:element>
							<xsl:element name="Pais">
								<xsl:value-of select="Datos/Emisor/Domicilio/@Pais"/>
							</xsl:element>
							<xsl:element name="CodigoPostal">
								<xsl:value-of select="Datos/Emisor/Domicilio/@CodigoPostal"/>
							</xsl:element>
							<xsl:if test="Datos/Emisor/Domicilio/@noLclGlobal !=''">
								<xsl:element name="GLN">
									<xsl:value-of select="Datos/Emisor/Domicilio/@noLclGlobal"/>
								</xsl:element>
							</xsl:if>
						</xsl:element>
						<xsl:if test="Datos/Emisor/Sucursal/@Pais != ''">
							<xsl:element name="LugarExped">
								<xsl:element name="Calle">
									<xsl:value-of select="Datos/Emisor/Sucursal/@Calle"/>
								</xsl:element>
								<xsl:if test="Datos/Emisor/Sucursal/@noExterior != ''">
									<xsl:element name="NroExterior">
										<xsl:value-of select="Datos/Emisor/Sucursal/@noExterior"/>
									</xsl:element>
								</xsl:if>
								<xsl:if test="Datos/Emisor/Sucursal/@noInterior != ''">
									<xsl:element name="NroInterior">
										<xsl:value-of select="Datos/Emisor/Sucursal/@noInterior"/>
									</xsl:element>
								</xsl:if>
								<xsl:if test="Datos/Emisor/Sucursal/@Colonia != ''">
									<xsl:element name="Colonia">
										<xsl:value-of select="Datos/Emisor/Sucursal/@Colonia"/>
									</xsl:element>
								</xsl:if>
								<xsl:if test="Datos/Emisor/Sucursal/@Ciudad != ''">
									<xsl:element name="Localidad">
										<xsl:value-of select="Datos/Emisor/Sucursal/@Ciudad"/>
									</xsl:element>
								</xsl:if>
								<xsl:if test="Datos/Emisor/Sucursal/@Referencia != ''">
									<xsl:element name="Referencia">
										<xsl:value-of select="Datos/Emisor/Sucursal/@Referencia"/>
									</xsl:element>
								</xsl:if>
								<xsl:if test="Datos/Emisor/Sucursal/@Municipio != ''">
									<xsl:element name="Municipio">
										<xsl:value-of select="Datos/Emisor/Sucursal/@Municipio"/>
									</xsl:element>
								</xsl:if>
								<xsl:if test="Datos/Emisor/Sucursal/@Estado != ''">
									<xsl:element name="Estado">
										<xsl:value-of select="Datos/Emisor/Sucursal/@Estado"/>
									</xsl:element>
								</xsl:if>
								<xsl:element name="Pais">
									<xsl:value-of select="Datos/Emisor/Sucursal/@Pais"/>
								</xsl:element>
								<xsl:if test="Datos/Emisor/Sucursal/@CodigoPostal != ''">
									<xsl:element name="CodigoPostal">
										<xsl:value-of select="Datos/Emisor/Sucursal/@CodigoPostal"/>
									</xsl:element>
								</xsl:if>
								<xsl:if test="Datos/Emisor/Sucursal/@noLclGlobal != ''">
									<xsl:element name="GLN">
										<xsl:value-of select="Datos/Emisor/Sucursal/@noLclGlobal"/>
									</xsl:element>
								</xsl:if>
							</xsl:element>
						</xsl:if>
						<xsl:for-each select="Datos/Documento/XMLAddenda/Documento/ContactosEmisor/ContactoEmisor">
							<xsl:call-template name="Contactos_Emisor"/>
						</xsl:for-each>
					</xsl:element>
					<xsl:element name="ExReceptor">
						<xsl:element name="RFCRecep">
							<xsl:value-of select="Datos/Receptor/@RFC"/>
						</xsl:element>
						<xsl:element name="NmbRecep">
							<xsl:value-of select="Datos/Receptor/@Nombre"/>
						</xsl:element>
						<xsl:element name="DomFiscalRcp">
							<xsl:if test="Datos/Receptor/Domicilio/@Calle !=''">
								<xsl:element name="Calle">
									<xsl:value-of select="Datos/Receptor/Domicilio/@Calle"/>
								</xsl:element>
							</xsl:if>
							<xsl:element name="Pais">
								<xsl:value-of select="Datos/Receptor/Domicilio/@Pais"/>
							</xsl:element>
						</xsl:element>
						<xsl:if test="Datos/Receptor/Destino/@Pais !=''">
							<xsl:element name="LugarRecep">
								<xsl:element name="Calle">
									<xsl:value-of select="Datos/Receptor/Destino/@Calle"/>
								</xsl:element>
								<xsl:element name="Pais">
									<xsl:value-of select="Datos/Receptor/Destino/@Pais"/>
								</xsl:element>
								<xsl:element name="CodigoPostal">
									<xsl:value-of select="Datos/Receptor/Destino/@CodigoPostal"/>
								</xsl:element>
							</xsl:element>
						</xsl:if>
						<xsl:for-each select="Datos/Documento/XMLAddenda/Documento/ContactosReceptor/ContactoReceptor">
							<xsl:call-template name="Contactos_Receptor"/>
						</xsl:for-each>
					</xsl:element>
					<xsl:element name="Totales">
						<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
						<xsl:element name="Moneda">
							<xsl:choose>
								<xsl:when test="$tpomon = 0">
									<xsl:text>MXN</xsl:text>
								</xsl:when>
								<xsl:when test="$tpomon = 1">
									<xsl:text>MXN</xsl:text>
								</xsl:when>
								<xsl:when test="$tpomon = 2">
									<xsl:text>USD</xsl:text>
								</xsl:when>
								<xsl:when test="$tpomon = 3">
									<xsl:text>EUR</xsl:text>
								</xsl:when>
							</xsl:choose>
						</xsl:element>
						<xsl:element name="SubTotal">
							<xsl:value-of select="format-number(Datos/Documento/@SubTotal,'0.00')"/>
						</xsl:element>
						<xsl:element name="MntDcto">
							<xsl:value-of select="format-number(Datos/Documento/@ImpDescuentos,'0.00')"/>
						</xsl:element>
						<xsl:element name="PctDcto">
							<xsl:value-of select="format-number(sum(/Datos/Documento/Descuentos/Descuento/@Porcentaje),'0.00')"/>
						</xsl:element>
						<xsl:element name="MntBase">
							<xsl:value-of select="format-number(Datos/Documento/@SubTotal,'0.00')"/>
						</xsl:element>
						<xsl:element name="MntImp">
							<xsl:value-of select="format-number(Datos/Documento/@ImpImpuestos,'0.00')"/>
						</xsl:element>
						<xsl:element name="VlrPagar">
							<xsl:value-of select="format-number(Datos/Documento/@ImpTotal,'0.00')"/>
						</xsl:element>
						<xsl:element name="VlrPalabras">
							<xsl:value-of select="Datos/Documento/@ImporteLetra"/>
						</xsl:element>
						<xsl:if test="sum(Datos/Documento/XMLAddenda/Documento/SubMontos/SubMonto/@Monto) &gt; 0">
							<xsl:for-each select="Datos/Documento/XMLAddenda/Documento/SubMontos/SubMonto">
								<xsl:element name="TotSubMonto">
									<xsl:element name="Tipo">
										<xsl:value-of select="@Tipo"/>
									</xsl:element>
									<xsl:element name="Monto">
										<xsl:value-of select="format-number(@Monto,'0.00')"/>
									</xsl:element>
								</xsl:element>
							</xsl:for-each>
						</xsl:if>
					</xsl:element>
					<xsl:for-each select="Datos/Documento/Impuestos/Impuesto">
						<xsl:if test="@Tipo ='IVA' or @Tipo = 'IEPS'">
							<xsl:element name="ExImpuestos">
								<xsl:element name="TipoImp">
									<xsl:value-of select="@Tipo"/>
								</xsl:element>
								<xsl:element name="TasaImp">
									<xsl:value-of select='format-number(@Porcentaje,"0")'/>
								</xsl:element>
								<xsl:element name="MontoImp">
									<xsl:value-of select='format-number(@Importe,"0.00")'/>
								</xsl:element>
							</xsl:element>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="Datos/Documento/Impuestos/Impuesto">
						<xsl:if test="@Tipo ='RIVA' or @Tipo = 'RISR'">
							<xsl:element name="ExRetenciones">
								<xsl:element name="TipoRet">
									<xsl:choose>
										<xsl:when test="@Tipo = 'RIVA'"><xsl:text>IVA</xsl:text></xsl:when>
										<xsl:when test="@Tipo = 'RISR'"><xsl:text>ISR</xsl:text></xsl:when>
									</xsl:choose>
								</xsl:element>
								<xsl:element name="TasaRet">
									<xsl:value-of select='format-number(@Porcentaje,"0")'/>
								</xsl:element>
								<xsl:element name="MontoRet">
									<xsl:value-of select='format-number(@Importe,"0.00")'/>
								</xsl:element>
							</xsl:element>
						</xsl:if>
					</xsl:for-each>
					<xsl:element name="Poliza">
						<xsl:element name="Tipo">
							<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/Poliza/@Tipo"/>
						</xsl:element>
						<xsl:element name="Numero">
							<xsl:value-of select="substring(Datos/Documento/XMLAddenda/Documento/Poliza/@NumeroPoliza,1,30)"/>
						</xsl:element>
						<!-- No aplica para GNP-->
						<!--xsl:element name="INC">0</xsl:element-->
						<xsl:element name="TpoCliente">
							<xsl:value-of select="substring(Datos/Documento/XMLAddenda/Documento/Poliza/@TipoCliente,1,1)"/>
						</xsl:element>
						<xsl:if test="Datos/Documento/XMLAddenda/Documento/Poliza/@NumeroReporte !=''">
							<xsl:element name="NroReporte">
								<xsl:value-of select="substring(Datos/Documento/XMLAddenda/Documento/Poliza/@NumeroReporte,1,30)"/>
							</xsl:element>
						</xsl:if>
						<xsl:element name="NroSint">
							<xsl:value-of select="substring(Datos/Documento/XMLAddenda/Documento/Poliza/@NumeroSiniestro,1,30)"/>
						</xsl:element>
						<xsl:element name="NmbAseg">
							<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/Poliza/@Asegurado"/>
						</xsl:element>
						<xsl:element name="NmbAfect">
							<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/Poliza/@Afectado"/>
						</xsl:element>
					</xsl:element>
					<xsl:element name="Servicio">
						<xsl:element name="Tipo">
							<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/Servicio/@Tipo"/>
						</xsl:element>
						<xsl:element name="Numero">
							<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/Servicio/@Numero"/>
						</xsl:element>
					</xsl:element>
					<xsl:element name="Vehiculo">
						<xsl:element name="Tipo">
							<xsl:value-of select="substring(Datos/Documento/XMLAddenda/Documento/Vehiculo/@TipoVehiculo,1,25)"/>
						</xsl:element>
						<xsl:element name="Marca">
							<xsl:value-of select="substring(Datos/Documento/XMLAddenda/Documento/Vehiculo/@MarcaVehiculo,1,30)"/>
						</xsl:element>
						<xsl:element name="Modelo">
							<xsl:value-of select="substring(Datos/Documento/XMLAddenda/Documento/Vehiculo/@ModeloVehiculo,1,60)"/>
						</xsl:element>
						<xsl:element name="Ano">
							<xsl:value-of select="substring(Datos/Documento/XMLAddenda/Documento/Vehiculo/@AnoVehiculo,1,4)"/>
						</xsl:element>
						<xsl:element name="Color">
							<xsl:value-of select="substring(Datos/Documento/XMLAddenda/Documento/Vehiculo/@ColorVehiculo,1,25)"/>
						</xsl:element>
						<xsl:if test="Datos/Documento/XMLAddenda/Documento/Vehiculo/@ChasisVehiculo !=''">
							<xsl:element name="NroChasis">
								<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/Vehiculo/@ChasisVehiculo"/>
							</xsl:element>
						</xsl:if>
						<xsl:element name="NroSerie">
							<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/Vehiculo/@SerieVehiculo"/>
						</xsl:element>
						<xsl:element name="Placa">
							<xsl:value-of select="substring(Datos/Documento/XMLAddenda/Documento/Vehiculo/@PlacaVehiculo,1,10)"/>
						</xsl:element>
					</xsl:element>
					<!-- No aplica para GNP-->
					<!--xsl:element name="Local">
						<xsl:element name="TipoLoc">
							<xsl:value-of select="substring(Datos/Documento/XMLAddenda/Documento/Local/@LugarServicio,1,20)"/>
						</xsl:element>
					</xsl:element-->
				</xsl:element>
				<xsl:for-each select="/Datos/Documento/Partidas/Partida">
					<xsl:call-template name="DetallePartidas"/>
				</xsl:for-each>
				<xsl:element name="TimeStamp">
					<xsl:value-of select="/Datos/CFD/@Fecha"/>
				</xsl:element>
			</xsl:element>
			<!-- No aplica para GNP -->
			<!--xsl:element name="Personalizados">
				<xsl:element name="campoString">
					<xsl:attribute name="name">IdArea</xsl:attribute>
					<xsl:value-of select="/Datos/Documento/XMLAddenda/Documento/Personalizados/@IdArea"/>
				</xsl:element>
				<xsl:element name="campoString">
					<xsl:attribute name="name">Tramitador</xsl:attribute>
					<xsl:value-of select="/Datos/Documento/XMLAddenda/Documento/Personalizados/@Tramitador"/>
				</xsl:element>
			</xsl:element-->
		</xsl:element>
	</xsl:template>
	<xsl:template name="Contactos_Emisor">
		<xsl:if test="@Nombre != ''">
			<xsl:element name="ContactoEmisor">
				<xsl:element name="Tipo">
					<xsl:value-of select="@Tipo"/>
				</xsl:element>
				<xsl:element name="Nombre">
					<xsl:value-of select="@Nombre"/>
				</xsl:element>
				<xsl:element name="Descripcion">
					<xsl:value-of select="@Puesto"/>
				</xsl:element>
				<xsl:element name="eMail">
					<xsl:value-of select="@Email"/>
				</xsl:element>
				<xsl:if test="@Telefono !=''">
					<xsl:element name="Telefono">
						<xsl:value-of select="substring(@Telefono,1,25)"/>
					</xsl:element>
				</xsl:if>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<xsl:template name="Contactos_Receptor">
		<xsl:if test="@Nombre != ''">
			<xsl:element name="ContactoReceptor">
				<xsl:element name="Tipo">
					<xsl:value-of select="@Tipo"/>
				</xsl:element>
				<xsl:element name="Nombre">
					<xsl:value-of select="@Nombre"/>
				</xsl:element>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<xsl:template name="DetallePartidas">
		<xsl:element name="Detalle">
			<xsl:element name="NroLinDet">
				<xsl:value-of select="position()"/>
			</xsl:element>
			<xsl:element name="CdgItem">
				<xsl:choose>
					<xsl:when test="@CodigoCliente != ''">
						<xsl:element name="TpoCodigo">EXT</xsl:element>
						<xsl:element name="VlrCodigo">
							<xsl:value-of select="@CodigoCliente"/>
						</xsl:element>
					</xsl:when>
					<xsl:otherwise>
						<xsl:element name="TpoCodigo">
							<xsl:choose>
								<xsl:when test="@Tipo = 'P'">
									<xsl:text>INT</xsl:text>
								</xsl:when>
								<xsl:when test="@Tipo = 'S'">
									<xsl:text>SRV</xsl:text>
								</xsl:when>
							</xsl:choose>
						</xsl:element>
						<xsl:element name="VlrCodigo">
							<xsl:value-of select="@CodigoBarras"/>
						</xsl:element>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:if test="./XMLAddenda/Documento/Presios/@ListaPrecios !=''">
				<xsl:element name="TpoListaItem">
					<xsl:value-of select="format-number(./XMLAddenda/Documento/Presios/@ListaPrecios,'0')"></xsl:value-of>
				</xsl:element>
			</xsl:if>
			<xsl:element name="DscLang">
				<xsl:text>ES</xsl:text>
			</xsl:element>
			<xsl:element name="DscItem">
				<xsl:value-of select="@Descripcion"/>
			</xsl:element>
			<xsl:element name="QtyItem">
				<xsl:value-of select="format-number(@Cantidad,'0.00')"/>
				<xsl:for-each select="./XMLAddenda/Documento/Desgloses/Desglose">
					<xsl:if test="@CantidadDesglose &gt; 0">
						<xsl:element name="SubQtyItem">
							<xsl:element name="SubCod">
								<xsl:value-of select="@DescripcionDesglose"/>
							</xsl:element>
							<xsl:element name="SubQty">
								<xsl:value-of select="format-number(@CantidadDesglose,'0.00')"/>
							</xsl:element>
						</xsl:element>
					</xsl:if>
				</xsl:for-each>
			</xsl:element>
			<xsl:if test="@UnidadMedida !=''">
				<xsl:element name="UnmdItem">
					<xsl:value-of select="@UnidadMedida"/>
				</xsl:element>
			</xsl:if>
			<xsl:element name="PrcBrutoItem">
				<xsl:value-of select="format-number(@PrecioBruto,'0.00')"/>
			</xsl:element>
			<xsl:element name="PrcNetoItem">
				<xsl:value-of select="format-number(@PrecioNeto,'0.00')"/>
			</xsl:element>
			<xsl:for-each select="Impuestos/Impuesto">
				<xsl:if test="@Tipo = 'IVA' or @Tipo = 'IEPS' or @Tipo = 'SNT'">
					<xsl:element name="ImpuestosDet">
						<xsl:element name="TipoImp">
							<xsl:value-of select="@Tipo"/>
						</xsl:element>
						<xsl:element name="TasaImp">
							<xsl:value-of select="format-number(@Porcentaje,'0')"/>
						</xsl:element>
						<xsl:element name="MontoImp">
							<xsl:value-of select="format-number(@Importe,'0.00')"/>
						</xsl:element>
					</xsl:element>
				</xsl:if>
			</xsl:for-each>
			<xsl:for-each select="Impuestos/Impuesto">
				<xsl:if test="@Tipo = 'RIVA' or @Tipo = 'RISR'">
					<xsl:element name="RetencionesDet">
						<xsl:element name="TipoRet">
							<xsl:variable name="tipret"><xsl:value-of select="@Tipo"/></xsl:variable>
							<xsl:choose>
								<xsl:when test="$tipret = 'RIVA'">
									<xsl:text>IVA</xsl:text>
								</xsl:when>
								<xsl:when test="$tipret = 'RISR'">
									<xsl:text>ISR</xsl:text>
								</xsl:when>
							</xsl:choose>
						</xsl:element>
						<xsl:element name="TasaRet">
							<xsl:value-of select="format-number(@Porcentaje,'0')"/>
						</xsl:element>
						<xsl:element name="MontoRet">
							<xsl:value-of select="format-number(@Importe,'0.00')"/>
						</xsl:element>
					</xsl:element>
				</xsl:if>
			</xsl:for-each>
			<xsl:element name="MontoBrutoItem">
				<xsl:value-of select="format-number(@ImpNeto,'0.00')"/>
			</xsl:element>
			<xsl:element name="MontoNetoItem">
				<xsl:value-of select="format-number(@SubTotal,'0.00')"/>
			</xsl:element>
			<xsl:element name="MontoTotalItem">
				<xsl:value-of select="format-number(@ImpTotal,'0.00')"/>
			</xsl:element>
			<xsl:for-each select="./XMLAddenda/Documento/SubMontos/SubMonto">
				<xsl:if test="@SubMontoImporte &gt; 0">
					<xsl:element name="SubMonto">
						<xsl:element name="Tipo">
							<xsl:value-of select="substring(@SubMontoTipo,1,20)"/>
						</xsl:element>
						<xsl:element name="Monto">
							<xsl:value-of select="format-number(@SubMontoImporte,'0.00')"/>
						</xsl:element>
					</xsl:element>
				</xsl:if>
			</xsl:for-each>
			<xsl:if test="./XMLAddenda/Documento/Poliza/@NumeroPoliza != ''">
				<xsl:element name="PolizaItem">
					<xsl:element name="Tipo">
						<xsl:value-of select="./XMLAddenda/Documento/Poliza/@TipoPoliza"/>
					</xsl:element>
					<xsl:element name="Numero">
						<xsl:value-of select="./XMLAddenda/Documento/Poliza/@NumeroPoliza"/>
					</xsl:element>
					<!--No aplica para GNP-->
					<!--xsl:element name="INC">
						<xsl:value-of select="0"/>
					</xsl:element-->
					<xsl:element name="TpoCliente">
						<xsl:value-of select="./XMLAddenda/Documento/Poliza/@TipoCliente"/>
					</xsl:element>
					<!--No aplica para GNP-->
					<!--xsl:element name="NroReporte">
						<xsl:value-of select="0"/>
					</xsl:element-->
					<xsl:element name="NroSint">
						<xsl:value-of select="./XMLAddenda/Documento/Poliza/@NumeroSiniestro"/>
					</xsl:element>
					<xsl:element name="NmbAseg">
						<xsl:value-of select="./XMLAddenda/Documento/Poliza/@NombreAsegurado"/>
					</xsl:element>
				</xsl:element>
			</xsl:if>
			<xsl:if test="./XMLAddenda/Documento/Servicio/@TipoServicio !=''">
				<xsl:element name="ServicioItem">
					<xsl:element name="Tipo">
						<xsl:value-of select="./XMLAddenda/Documento/Servicio/@TipoServicio"/>
					</xsl:element>
					<xsl:element name="Numero">
						<xsl:value-of select="./XMLAddenda/Documento/Servicio/@NumeroServicio"/>
					</xsl:element>
				</xsl:element>
			</xsl:if>
			<xsl:if test="./XMLAddenda/Documento/Vehiculo/@TipoVehiculo !=''">
				<xsl:element name="VehiculoItem">
					<xsl:element name="Tipo">
						<xsl:value-of select="./XMLAddenda/Documento/Vehiculo/@TipoVehiculo"/>
					</xsl:element>
					<xsl:element name="Marca">
						<xsl:value-of select="./XMLAddenda/Documento/Vehiculo/@MarcaVehiculo"/>
					</xsl:element>
					<xsl:element name="Modelo">
						<xsl:value-of select="./XMLAddenda/Documento/Vehiculo/@ModeloVehiculo"/>
					</xsl:element>
					<xsl:element name="Ano">
						<xsl:value-of select="./XMLAddenda/Documento/Vehiculo/@AnoVehiculo"/>
					</xsl:element>
					<xsl:element name="Color">
						<xsl:value-of select="./XMLAddenda/Documento/Vehiculo/@ColorVehiculo"/>
					</xsl:element>
					<xsl:element name="NroChasis">
						<xsl:value-of select="./XMLAddenda/Documento/Vehiculo/@ChasisVehiculo"/>
					</xsl:element>
					<xsl:element name="NroSerie">
						<xsl:value-of select="./XMLAddenda/Documento/Vehiculo/@SerieVehiculo"/>
					</xsl:element>
					<xsl:element name="Placa">
						<xsl:value-of select="./XMLAddenda/Documento/Vehiculo/@PlacaVehiculo"/>
					</xsl:element>
				</xsl:element>
			</xsl:if>
			<xsl:if test="./XMLAddenda/Documento/AreaItem/@IdArea !=''">
				<xsl:element name="Area">
					<xsl:element name="IdArea">
						<xsl:value-of select="./XMLAddenda/Documento/AreaItem/@IdArea"/>
					</xsl:element>
					<xsl:element name="IdRevision">
						<xsl:value-of select="./XMLAddenda/Documento/AreaItem/@IdRevision"/>
					</xsl:element>
					<!--xsl:text disable-output-escaping="yes"><![CDATA[</Area>]]></xsl:text-->
				</xsl:element>
			</xsl:if>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
